Rename userFunction and userCallback
Done!

Hey @satishgn - ZacZach discussed this and we decided that the new name of `userFunction()` should be `handleMessage()` instead of `messageHandler()`. Sorry for the duplicate work, can you revise one more time?

Done.
